{
  "schema_version": "1.4.0",
  "id": "GHSA-795q-99jq-47p3",
  "modified": "2022-05-17T03:05:26Z",
  "published": "2022-05-17T03:05:26Z",
  "aliases": [
    "CVE-2016-9754"
  ],
  "details": "The ring_buffer_resize function in kernel/trace/ring_buffer.c in the profiling subsystem in the Linux kernel before 4.6.1 mishandles certain integer calculations, which allows local users to gain privileges by writing to the /sys/kernel/debug/tracing/buffer_size_kb file.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-9754"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/59643d1535eb220668692a5359de22545af579f6"
    },
    {
      "type": "WEB",
      "url": "https://source.android.com/security/bulletin/2017-01-01.html"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=59643d1535eb220668692a5359de22545af579f6"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.6.1"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/95278"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-01-05T11:59:00Z"
  }
}